List Invoices
get
https://api.nomod.com/v1/invoicesFetch all Invoices.
curl -X GET 'https://api.nomod.com/v1/invoices' \
-H 'X-API-KEY: $NOMOD_API_KEY' \
-H 'Content-Type: application/json'Query parameters
currencystringcurrency code i-e AED
customer_idstring <uuid>idstringinvoice_numberstringsearch by invoice number
pageintegerA page number within the paginated result set.
page_sizeintegerNumber of results to return per page.
reference_idstringsearchstringsearch by title or country code
statusstringinvoice staus
Enum: cancelled, overdue, paid, scheduled, unpaid
Responses
countintegerrequirednextstring <uri>previousstring <uri>resultsarrayrequiredExample response
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"id": "00000000-0000-0000-0000-000000000000",
"title": "string",
"url": "https://example.com",
"amount": "0.00",
"currency": "string",
"status": {
"0": "p",
"1": "a",
"2": "i",
"3": "d"
},
"discount": "0.00",
"service_fee": "0.00",
"shipping_address_required": false,
"items": [
{
"id": "00000000-0000-0000-0000-000000000000",
"amount": "0.00",
"name": "string",
"total_amount": "0.00",
"quantity": 0,
"sku": "string"
}
],
"tax": "0.00",
"note": "string",
"taxes": [
{
"name": "string",
"mode": "string",
"mode_value": "0.000",
"value": "0.000"
}
],
"discount_percentage": 0,
"service_fee_percentage": "0.00",
"tip": "0.00",
"tip_percentage": 0,
"invoice_number": "string",
"due_date": "2026-01-01T00:00:00Z",
"custom_fields": [
{
"name": "string",
"is_required": false
}
],
"source": {
"0": "n",
"1": "o",
"2": "m",
"3": "o",
"4": "d",
"5": "_",
"6": "h",
"7": "o",
"8": "s",
"9": "t",
"10": "e",
"11": "d"
},
"customer": {
"first_name": "",
"last_name": "",
"business_name": "",
"email": "",
"phone_number": ""
},
"allow_tabby": false,
"allow_tamara": false,
"allow_service_fee": false
}
]
}